;****************************************
; General
;****************************************

; Description
; A drush makefile for libraries used by Drupal modules.

; drush make API version
api = 2

; Drupal core
core = 6.x

;****************************************
; Libraries in sites/all/libraries
;****************************************

; ARC2 library for the Drupal contrib modules "Resource Description Framework (RDF)" (rdf) which "Calais" (opencalais) depends on.
libraries[arc2][directory_name] = arc
libraries[arc2][download][type] = git
libraries[arc2][download][url] = git://github.com/semsol/arc2.git

; CKEditor for the Drupal contrib modules "CKEditor" (ckeditor) and "Wysiwyg API" (wysiwyg).
libraries[ckeditor][directory_name] = ckeditor
libraries[ckeditor][download][type] = svn
libraries[ckeditor][download][url] = http://svn.ckeditor.com/CKEditor/releases/stable/

; dompdf for the Drupal contrib module "Printer, e-mail and PDF versions" (print).
libraries[dompdf][directory_name] = dompdf
libraries[dompdf][download][type] = svn
libraries[dompdf][download][url] = http://dompdf.googlecode.com/svn/trunk/dompdf/

; FCKeditor for the Drupal contrib modules "FCKeditor" (fckeditor) and "Wysiwyg API" (wysiwyg).
libraries[fckeditor][directory_name] = fckeditor
libraries[fckeditor][download][type] = svn
libraries[fckeditor][download][url] = http://svn.fckeditor.net/FCKeditor/releases/stable/

; GeSHi for the Drupal contrib module "GeSHi Filter for syntax highlighting" (geshifilter).
libraries[geshi][directory_name] = geshi
libraries[geshi][download][type] = svn
libraries[geshi][download][url] = https://geshi.svn.sourceforge.net/svnroot/geshi/branches/RELEASE_1_0_X_STABLE/geshi-1.0.X/src/

; getID3 for the Drupal contrib module "getID3()" (getid3).
libraries[getid3][directory_name] = getid3
libraries[getid3][download][type] = get
libraries[getid3][download][url] = http://downloads.sourceforge.net/project/getid3/getID3%28%29%201.x/1.9.1/getid3-1.9.1-20110810.zip
;libraries[getid3][download][url] = http://downloads.sourceforge.net/project/getid3/getID3%28%29%201.x/1.9.3/getid3-1.9.3-20111213.zip
; Modified in drupal-patch.sh

; HTML Purifier for the Drupal contrib module "HTML Purifier" (htmlpurifier).
libraries[htmlpurifier][directory_name] = htmlpurifier
libraries[htmlpurifier][download][type] = git
libraries[htmlpurifier][download][url] = git://repo.or.cz/htmlpurifier.git

; jQuery UI 1.7.x for the Drupal contrib modules "jQuery UI" (jquery_ui) which "jQuery Update" (jquery_update) depends on.
libraries[jquery_ui][directory_name] = jquery.ui
libraries[jquery_ui][download][type] = get
libraries[jquery_ui][download][url] = http://jquery-ui.googlecode.com/files/jquery-ui-1.7.3.zip

; PHPMailer for the Drupal contrib module "PHPMailer" (phpmailer).
libraries[phpmailer][directory_name] = phpmailer
libraries[phpmailer][download][type] = get
libraries[phpmailer][download][url] = http://downloads.sourceforge.net/project/phpmailer/phpmailer%20for%20php5_6/PHPMailer%20v5.1/PHPMailer_v5.1.tar.gz

; TCPDF for the Drupal contrib module "Printer, e-mail and PDF versions" (print).
libraries[tcpdf][directory_name] = tcpdf
libraries[tcpdf][download][type] = git
libraries[tcpdf][download][url] = git://tcpdf.git.sourceforge.net/gitroot/tcpdf/tcpdf

; TinyMCE for the Drupal contrib module "Wysiwyg API" (wysiwyg).
libraries[tinymce][directory_name] = tinymce
libraries[tinymce][download][type] = get
libraries[tinymce][download][url] = http://github.com/downloads/tinymce/tinymce/tinymce_3.4.9_jquery.zip
; TODO:
;libraries[tinymce][download][type] = git
;libraries[tinymce][download][url] = git://github.com/tinymce/tinymce.git

;****************************************
; Libraries elsewhere
;****************************************

; "Solr PHP" library for the Drupal contrib module "Apache Solr Search Integration" (apachesolr).
libraries[solrphpclient][destination] = modules/contrib/apachesolr
libraries[solrphpclient][directory_name] = SolrPhpClient
libraries[solrphpclient][download][type] = get
libraries[solrphpclient][download][url] = http://solr-php-client.googlecode.com/files/SolrPhpClient.r22.2009-11-09.tgz
; Libraries API (feature request): http://drupal.org/node/792712

; SWFUpload for the Drupal contrib module "Image FUpload" (image_fupload).
libraries[swfupload][destination] = modules/contrib/image_fupload
libraries[swfupload][directory_name] = swfupload
libraries[swfupload][download][type] = get
libraries[swfupload][download][url] = http://swfupload.googlecode.com/files/SWFUpload%20v2.2.0.1%20Core.zip
libraries[swfupload][overwrite] = TRUE
; Libraries API (feature request): https://drupal.org/node/670174

;****************************************
; End
;****************************************
